Cyberduck Mountain Duck CLI

#10650 closed defect (thirdparty)

Upload options disabled

Reported by: gregmorin Owned by:
Priority: normal Milestone:
Component: sftp Version: 6.9.4
Severity: normal Keywords: upload
Cc: Architecture: Intel
Platform: macOS 10.14

Description

I'm using SFTP (SSL) and while it logs in ok the "Upload" ability is disabled (greyed out in pop up, drag and drop does nothing, etc). If I open the exact same connection with Cyberduck 5.4.4 upload works fine. I have looked at the preferences and don't see anything obvious that would disable Upload functionality in 6.9.4. Please advise if this is a bug or a feature, and if a feature how do I re-enable Upload behavior in 6.9.4. This occurs under 10.11 and 10.14 so it doesn't seem to be related to all the new security features in Mojave (5.4.4 works under 10.14 and 10.11, 6.9.4 fails to allow upload under 10.11 and 10.14)

Attachments (3)

SC_ 2019-03-12 at 12.52.29 .png (152.1 KB) - added by gregmorin on Mar 12, 2019 at 4:53:04 PM.
SC_ 2019-04-02 at 10.07.43 .png (77.3 KB) - added by gregmorin on Apr 2, 2019 at 2:13:39 PM.
Permissions 6.9.4
SC_ 2019-04-02 at 10.08.52 .png (91.4 KB) - added by gregmorin on Apr 2, 2019 at 2:14:04 PM.
Permissions 5.4.4

Download all attachments as: .zip

Change History (7)

comment:1 Changed on Mar 26, 2019 at 8:26:30 AM by dkocher

  • Component changed from core to sftp
  • Resolution set to thirdparty
  • Status changed from new to closed

The server is indicating that you do not have write permission for the folder (we display a badge icon overlay on the folder). Please reach out to the server administrator to check the access permissions returned by the SFTP server.

comment:2 Changed on Mar 26, 2019 at 12:18:08 PM by gregmorin

  • Resolution thirdparty deleted
  • Status changed from closed to reopened

So, did you not see this part of my report "If I open the exact same connection with Cyberduck 5.4.4 upload works fine." It can't be a permission issues on the server side if it _works_ with 5.4.4 and _fails_ with 6.9.4.

comment:3 Changed on Apr 2, 2019 at 2:00:33 PM by dkocher

  • Resolution set to thirdparty
  • Status changed from reopened to closed

In previous versions we did not evaluate the permission set returned by the server to validate the upload actions – therefore this issue does not occur there.

Changed on Apr 2, 2019 at 2:13:39 PM by gregmorin

Permissions 6.9.4

Changed on Apr 2, 2019 at 2:14:04 PM by gregmorin

Permissions 5.4.4

comment:4 Changed on Apr 2, 2019 at 2:19:12 PM by dkocher

  • Summary changed from Upload is disabled in 6.9.4 to Upload options disabled
Note: See TracTickets for help on using tickets.
swiss made software